Subject: Re: bug#60664: 30.0.50; init.el not read by Emacs

From: Jean Louis <[email-masked]>
Date: Mon, 9 Jan 2023 15:57:15 +0300

* Juanma Barranquero <[email-masked]> [2023-01-09 10:20]:
> On Mon, Jan 9, 2023 at 7:37 AM Jean Louis <[email-masked]> wrote:
> 
> > I do not have ~/.emacs.el or ~/.emacs
> >
> > I only have directoy ~/.emacs/
> >
> > and inside is init.el
> >
> 
> Shouldn't it be ~/.emacs.d/  ?

Mistake, I wanted to say ~/.emac.d/ but exactly this mistake solves
the problem, because I was expanding ~/.emacs in Emacs and was under
impression that it expanded into ~/.emacs.d while it did not, so now I
have verified and found the culprit, there is ~/.emacs directory which
was created probably when I was exploring the option --init-directory
there were some options saved inside. I can't know if this is by bug,
it happened before this used Emacs version, and I can't replicate it.

Solved for me. It can be closed.

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(mail-signature-file "~/.mutt/signatures/bugs")
 '(mail-user-agent 'sendmail-user-agent)
 '(package-selected-packages '(hyperbole))
 '(send-mail-function 'sendmail-send-it)
 '(user-full-name "Jean Louis")
 '(user-mail-address "[email-masked]"))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/